#ifndef _DEF_PLAYER_COLLIDE
#define _DEF_PLAYER_COLLIDE

#include <gint/defs/types.h>
#include <stdbool.h>

#include "conf.h"
#include "level.h"

/* return tile at the given position
 * -1 is out of bound */
uint8_t collide_point(Vec point, const Level *level, uint layer);
bool collide_right(Player *player, Vec position, const Level *level, uint layer_id);
bool collide_left(Player *player, Vec position, const Level *level, uint layer_id);
bool collide_down(Player *player, Vec position, const Level *level, uint layer_id);
bool collide_up(Player *player, Vec position, const Level *level, uint layer_id);
bool collide_full(Player *player, Vec position, const Level *level, uint layer_id);

#endif /* _DEF_PLAYER_COLLIDE */
